When installing php7.3-intl on debian docker gives error "has no installation candidate"

I have a wordpress installation via docker-compose. It uses php7.3 (I checked for version). Now the problem is like this : A wp function uses Locale class -> need to enable php_intl(not found in php.ini) -> tried to install php7.3-intl -> Gives error

Package php7.3-intl is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package 'php7.3-intl' has no installation candidate

I tried the solutions as mentioned in these sites: https://computingforgeeks.com/how-to-install-php-7-3-on-debian-9-debian-8/, https://ayesh.me/Ubuntu-PHP-7.2, and Can't get to install 'intl' extension for php on debian. Finally ended with this error from the last link:

/tmp/pear/temp/intl/intl_error.h:24:10: fatal error: ext/standard/php_smart_str.h: No such file or directory

I tried nano /tmp/pear/temp/intl/intl_error.h but the path doesn’t exist. Also, When asked Specify where ICU libraries and headers can be found [DEFAULT] i just hit enter.

What do I do next, or is there a better way to solve my original problem ?

Source: StackOverflow